WXFORMBUILDER(1)

NAME
wxformbuilder - WYSIWYG GUI Designer and Code Generator for wxWidgets

SYNOPSIS
wxformbuilder [-g][-l <str>][-h] [filename(s)...]

DESCRIPTION
wxformbuilder is a GUI designer for programs which use wxWidgets. It is a very WYSIWYG designer, because it uses the actual controls to show the result, not some fake representation.

Features include generation of C++ or XRC code, custom plugin support, and import of XRC code.

OPTIONS

-h, --help
    Displays the list of accepted command-line arguments.

-g, --generate
    Generate code from the passed file.

-l, --language
    Override the code_generation property from the passed file and generate the passed languages. Separate multiple languages with commas.

EXAMPLES
Generate XRC code from myproject.fbp
wxformbuilder --generate --language XRC myproject.fbp

AUTHORS
Jose Antonio Hurtado
Juan Antonio Ortega
Ryan Mulder
Ryan Pusztai

HISTORY
2007 - Initial version